// 场景接口

import serviceAxios from "@/http/index";

// 根据用户id查询场景列表
export const getScenesList = (params) => {
  return serviceAxios({
    url: `/vrone/backend/scenes/mySceneList/${params}`,
    method: "get",
  });
};

// 新增场景
export const addScenes = (data) => {
  return serviceAxios({
    url: "/vrone/backend/scenes",
    method: "post",
    data,
  });
};

// 获取场景详细信息
export const getScenesDetail = (params) => {
  return serviceAxios({
    url: `/vrone/backend/scenes/${params}`,
    method: "get",
  });
};

// 修改场景
export const updateScenes = (data) => {
  return serviceAxios({
    url: "/vrone/backend/scenes",
    method: "put",
    data,
  });
};
